summaryrefslogtreecommitdiffstats
path: root/games/scribble/scribble.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/scribble/scribble.SlackBuild')
-rw-r--r--games/scribble/scribble.SlackBuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/games/scribble/scribble.SlackBuild b/games/scribble/scribble.SlackBuild
new file mode 100644
index 0000000000..725baa36a2
--- /dev/null
+++ b/games/scribble/scribble.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Maintained by Gwenhael Le Moine <gwenhael.le.moine@gmail.com>
+
+PRGNAM=scribble
+VERSION=1.11_1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+SRCVERS=$(printf $VERSION | tr _ -)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $TMP/$PRGNAM $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+tar xf $CWD/${PRGNAM}_$SRCVERS.tar.gz
+cd $PRGNAM
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+make prefix=$PKG/usr mandir=$PKG/usr/man
+gzip -9 $PKG/usr/man/man6/scribble.6
+
+# Racket also has a 'scribble' binary in /usr/bin
+# Scribble's scribble is in /usr/games but Racket's steal its place in $PATH
+( cd $PKG/usr/games/ ; ln -s scribble scribble-scrabble )
+( cd $PKG/usr/man/man6/ ; ln -s scribble.6.gz scribble-scrabble.6.gz )
+
+chmod -R o-w $PKG
+chown -R root:root $PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}